name: Dev Pipeline

on:
  push:
    branches: [ dev ]

jobs:
  build:
    runs-on: ubuntu-latest

    steps:
    - name: Deploy dev changes.
      uses: appleboy/ssh-action@master
      with:
        host: "212.227.155.91"
        username: "root"
        password: "!2Zc727cI1"
        port: 22
        script: |
          cd ~/apps/online-energieausweis
          git reset --hard HEAD
          git clean -f -d
          git pull origin main
          git status
          npm install -g bun
          bun install
          bash build.sh
